Subject: [MMUSIC] Resend: RFC 4317, RFC 4566: SDP asymmetry and port numbers?

From: Peter Stevens <[email-masked]>
Date: Fri, 9 May 2014 10:55:03 +0000

This was originally sent to the list in March, but so far no response, so resending in case someone who could answer missed it at the time.

Hi, I have three questions about existing RFCs related to SDP.

The first is about RFC 4317 - Session Description Protocol (SDP) Offer/Answer Examples. In sections 2.9 and 2.10 of version 01 of the draft there are examples of using a=sendonly and a=recvonly to define asymmetrical connections, i.e. different coding or bit rates in different directions. In the next version of the draft, these examples are gone.

My question is: Why were they removed?

The second question is about RFC 4566 - SDP itself and might contain the answer to the question above. In section 5.14, where media descriptions are defined, I can read the following paragraph:

      The semantics of multiple "m=" lines using the same transport
      address are undefined.  This implies that, unlike limited past
      practice, there is no implicit grouping defined by such means and
      an explicit grouping framework (for example, [18]) should instead
      be used to express the intended semantics.

Does this also apply when the use of a=sendonly and a=recvonly make the semantics clear?

If the above paragraph does disallow usage like the deleted examples of RFC 4317, how should something like that be signalled so that the intent is well defined and 100% compliant with existing standards?

Best regards,

Peter Stevens

BBC R&D

----------------------------

http://www.bbc.co.uk
This e-mail (and any attachments) is confidential and may contain personal views which are not the views of the BBC unless specifically stated.
If you have received it in error, please delete it from your system.
Do not use, copy or disclose the information in any way nor act in reliance on it and notify the sender immediately.
Please note that the BBC monitors e-mails sent or received.
Further communication will signify your consent to this.

---------------------

---

From: Paul Kyzivat <[email-masked]>
Date: Fri, 09 May 2014 10:57:20 -0400

On 5/9/14 6:55 AM, Peter Stevens wrote:
> This was originally sent to the list in March, but so far no response,
> so resending in case someone who could answer missed it at the time.
>
> The first is about RFC 4317 - Session Description Protocol (SDP)
> Offer/Answer Examples. In sections 2.9 and 2.10 of version 01 of the
> draft there are examples of using a=sendonly and a=recvonly to define
> asymmetrical connections, i.e. different coding or bit rates in
> different directions. In the next version of the draft, these examples
> are gone.
>

I don't recall, but the answer you have given below is a good guess.

> The second question is about RFC 4566 - SDP itself and might contain the
> answer to the question above. In section 5.14, where media descriptions
> are defined, I can read the following paragraph:
>

Yes it does.

> If the above paragraph does disallow usage like the deleted examples of
> RFC 4317, how should something like that be signalled so that the intent
> is well defined and 100% compliant with existing standards?

The work on m-line bundling 
(draft-ietf-mmusic-sdp-bundle-negotiation-07) provides a way to achieve 
this.

	Thanks,
	Paul